Get a topic
Returns a single announcement topic.
GET
/v2/ accounts/ {accountId}/ topics/ {topicId}Path parameters
accountIdstringrequired
The account the request is scoped to.
topicIdstringrequired
Response
The topic.
Errors
401
Missing or invalid token, or the token is not authorized for this account/user.
404
The requested resource does not exist.
See Errors and rate limits for what error responses look like.
curl --location --request GET 'https://api.sendstreak.com/v2/accounts/YOUR_ACCOUNT_ID/topics/YOUR_TOPIC_ID' \
--header 'Authorization: Bearer YOUR_API_TOKEN'
const res = await fetch('https://api.sendstreak.com/v2/accounts/YOUR_ACCOUNT_ID/topics/YOUR_TOPIC_ID', {
method: 'GET',
headers: {
Authorization: `Bearer ${process.env.SENDSTREAK_TOKEN}`
}
});
import os, requests
res = requests.get(
'https://api.sendstreak.com/v2/accounts/YOUR_ACCOUNT_ID/topics/YOUR_TOPIC_ID',
headers={'Authorization': f"Bearer {os.environ['SENDSTREAK_TOKEN']}"},
)
{
"_id": "665f0a2b1c9d440012ab34cd",
"name": "Example name",
"description": "Product news and announcements"
}